package ossj.common.ex;

import javax.ejb.*;

/**
 * This is the bean class for the MplsvpnTblBean enterprise bean.
 * Created Jul 11, 2006 4:36:20 PM
 * @author vince
 */
public abstract class MplsvpnTblBean implements javax.ejb.EntityBean, ossj.common.ex.MplsvpnTblLocalBusiness {
    private javax.ejb.EntityContext context;
    
    // <editor-fold defaultstate="collapsed" desc="EJB infrastructure methods. Click on the + sign on the left to edit the code.">
    // TODO Consider creating Transfer Object to encapsulate data
    // TODO Review finder methods
    /**
     * @see javax.ejb.EntityBean#setEntityContext(javax.ejb.EntityContext)
     */
    public void setEntityContext(javax.ejb.EntityContext aContext) {
        context = aContext;
    }
    
    /**
     * @see javax.ejb.EntityBean#ejbActivate()
     */
    public void ejbActivate() {
        
    }
    
    /**
     * @see javax.ejb.EntityBean#ejbPassivate()
     */
    public void ejbPassivate() {
        
    }
    
    /**
     * @see javax.ejb.EntityBean#ejbRemove()
     */
    public void ejbRemove() {
        
    }
    
    /**
     * @see javax.ejb.EntityBean#unsetEntityContext()
     */
    public void unsetEntityContext() {
        context = null;
    }
    
    /**
     * @see javax.ejb.EntityBean#ejbLoad()
     */
    public void ejbLoad() {
        
    }
    
    /**
     * @see javax.ejb.EntityBean#ejbStore()
     */
    public void ejbStore() {
        
    }
    // </editor-fold>
    
    
    public abstract java.lang.String getMplskey();
    public abstract void setMplskey(java.lang.String mplskey);
    
    public abstract java.lang.String getState();
    public abstract void setState(java.lang.String state);
    
    public abstract java.lang.String getSubscriberid();
    public abstract void setSubscriberid(java.lang.String subscriberid);
    
    public abstract java.lang.Integer getMandatory();
    public abstract void setMandatory(java.lang.Integer mandatory);
    
    public abstract java.lang.String getVrfname();
    public abstract void setVrfname(java.lang.String vrfname);
    
    public abstract java.lang.Integer getStartmode();
    public abstract void setStartmode(java.lang.Integer startmode);
    
    
    public java.lang.String ejbCreate(java.lang.String mplskey, java.lang.String state, java.lang.String subscriberid, java.lang.Integer mandatory, java.lang.String vrfname, java.lang.Integer startmode)  throws javax.ejb.CreateException {
        if (mplskey == null) {
            throw new javax.ejb.CreateException("The field \"mplskey\" must not be null");
        }
        
        // TODO add additional validation code, throw CreateException if data is not valid
        setMplskey(mplskey);
        setState(state);
        setSubscriberid(subscriberid);
        setMandatory(mandatory);
        setVrfname(vrfname);
        setStartmode(startmode);
        
        return null;
    }
    
    public void ejbPostCreate(java.lang.String mplskey, java.lang.String state, java.lang.String subscriberid, java.lang.Integer mandatory, java.lang.String vrfname, java.lang.Integer startmode) {
        // TODO populate relationships here if appropriate
        
    }
}
